Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

The account ID to list available phone numbers for.

Example:

"acct_01j9a43avnfqzbjfch6pygv1td"

Query Parameters

area_code
string

Filter by 3-digit area code.

Pattern: ^\d{3}$
Example:

"801"

country
enum<string>

ISO country code to search in.

Available options:
US,
CA
Example:

"US"

type
enum<string>
required

Whether to search for local or toll-free numbers.

Available options:
local,
toll_free
Example:

"local"

after
string

Cursor for forward pagination. Use the next_cursor from a previous response.

before
string

Cursor for backward pagination. Use the previous_cursor from a previous response.

Response

List of available phone numbers

A list of phone numbers available for purchase

data
AvailablePhoneNumber · object[]
required

The list of available phone numbers

pagination
Pagination · object
required

Cursor-based pagination information

Example: